Đến nội dung


Hình ảnh
* * * * * 1 Bình chọn

[Nhờ Vả] Nhờ Các Bác Sửa Giúp Cái Lisp Thay Đổi Layer.


  • Please log in to reply
5 replies to this topic

#1 Phan Toàn

Phan Toàn

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 July 2016 - 11:28 PM

Em có sưu tầm được 2 cái lisp thay đổi layer và đổi màu cho đối tượng như thế này. Nhưng nhược điểm là phải chọn hết các đối tượng rồi mới đổi được. Bây giờ em muốn sửa lại theo ý mình là pick đến đâu thay đổi đến đó (giống lệnh MA ý ạ) nhưng chưa biết làm thế nào nên đánh bạo lên đây nhờ các bác ạ!

http://www.cadviet.c...154272_cl_3.lsp

http://www.cadviet.c...doi_tuong_1.lsp

Cám ơn các bác đã bỏ chút thời gian xem bài!


  • 0

#2 nguytini

nguytini

    biết vẽ rectang

  • Members
  • PipPip
  • 80 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 02 August 2016 - 04:06 PM

dùng lệnh Laytrans đi bạn


  • 1

NGỤY HOÀNG ĐÀN

EMAIL: HOANGDAN52NL@GMAIL.COM


#3 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 02 August 2016 - 04:41 PM

Em có sưu tầm được 2 cái lisp thay đổi layer và đổi màu cho đối tượng như thế này. Nhưng nhược điểm là phải chọn hết các đối tượng rồi mới đổi được. Bây giờ em muốn sửa lại theo ý mình là pick đến đâu thay đổi đến đó (giống lệnh MA ý ạ) nhưng chưa biết làm thế nào nên đánh bạo lên đây nhờ các bác ạ!

http://www.cadviet.c...154272_cl_3.lsp

http://www.cadviet.c...doi_tuong_1.lsp

Cám ơn các bác đã bỏ chút thời gian xem bài!

Hề hề hề,

Không biết ý bạn có phải thế này không???

Lưu ý là biến tên màu và tên layer bạn phải nhập cho phù hợp với yêu cầu của bạn.

(defun c:cla ()
(while (setq e (car (entsel)))
       (command "change" e "" "p" "la" ten layer "" )
)
)
(defun c:ccl ()
(while (setq e (car(entsel)))
         (command "change" e "" "p" "c" ten mau "" )
)
)


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#4 Danh Cong

Danh Cong

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 253 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 02 August 2016 - 05:18 PM

Gõ lệnh C1. Đổi màu layer.

Mình làm 1 ví dụ thôi.

Bạn xem có đúng ý bạn ko? Và điều nữa là bạn định đổi riêng "Layer" ,riêng  "màu" hay là muốn gộp luôn cả "Layer"+ "Màu"?http://www.cadviet.c...6/124641_c1.lsp


  • 1

             ***  Vô lo - Vô nghĩ - Vô sầu hận  ***

***  Chẳng thương - Chẳng giận - Chẳng đau lòng  ***


#5 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 03 August 2016 - 04:44 PM

Gõ lệnh C1. Đổi màu layer.

Mình làm 1 ví dụ thôi.

Bạn xem có đúng ý bạn ko? Và điều nữa là bạn định đổi riêng "Layer" ,riêng  "màu" hay là muốn gộp luôn cả "Layer"+ "Màu"?http://www.cadviet.c...6/124641_c1.lsp

Hề hề hề,

Hay, có thêm dòng code để nhập tên layer hay tên màu mà người dùng muốn sử dụng. Chủ thớt có thể ghép thêm vô cái lisp của mình.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#6 Phan Toàn

Phan Toàn

    biết zoom

  • Members
  • Pip
  • 10 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 03 August 2016 - 09:10 PM

Cám ơn bác góp ý, nhưng lệnh này lại không phù hợp với ý định của em rồi ạ! 

dùng lệnh Laytrans đi bạn

 

Chuẩn ý em luôn ạ, cám ơn bác rất nhiều!

 

Hề hề hề,

Không biết ý bạn có phải thế này không???

Lưu ý là biến tên màu và tên layer bạn phải nhập cho phù hợp với yêu cầu của bạn.

 

 

Cám ơn bác góp ý, nhưng phải nhớ tên layer thế này thì lại lâu thêm ạ, ý em muốn pick đến đâu thì đổi ngay đến đó cho nhanh ấy ạ  :D.

Gõ lệnh C1. Đổi màu layer.

Mình làm 1 ví dụ thôi.

Bạn xem có đúng ý bạn ko? Và điều nữa là bạn định đổi riêng "Layer" ,riêng  "màu" hay là muốn gộp luôn cả "Layer"+ "Màu"?http://www.cadviet.c...6/124641_c1.lsp


  • 0